This page is to honor the work of all the people who helped to make WLED what it is today!

### Direct Contributors to WLED code   
Everyone you see on the Contributors page and:  
8bitbrett made the WiFi auto connect QR code with the Aircoookie/WLED logo!
adamo made the animated Discord server logo!
[@debsahu](https://github.com/debsahu) provided the HomeAssistant autodiscovery and a lot of help with PIO!  
[@frenck](https://github.com/frenck) made an amazing, stable and feature-packed native integration with HomeAssistant!   
[@photocromax]() is helping bringing the Live visualization feature to life and added GIF previews to the doc!   
[@raymiec](https://github.com/raymiec)  is currently working on creating the best clients for Android and iOS!   
[@StormPie](https://github.com/stormpie), the creator of the awesome mobile UI!   
[@timothybrown](https://github.com/timothybrown) added MQTT authentication!   
[@viknet365](https://github.com/viknet365) ported the Meteor effect!   
[@wiesendaniel](https://github.com/wiesendaniel) added the configuration for the PlatformIO IDE!   
[@YeonV](https://github.com/YeonV) provided the initial HomeAssistant MQTT light config!  
_This list is incomplete._  

### Testing, Contributors and Supporters
47 Products  
Achmed E.  
Allan McN.  
Andrew G.  
Andries F.  
Anton A.  
Brendan W.  
Brett H.     
Brian N.   
Bryan H.   
Christian K.   
Cody M.  
[@computerfreek274](https://github.com/computerfreek274)  
Constantine  
Dale L.  
[@DaveDischord](https://github.com/davedischord)    
David C.  
David M.   
[@Def3nder](https://github.com/Def3nder)    
Dennis H.   
Dinos P.   
Donn L.   
Duane B.   
[@DutchmanNL](https://github.com/DutchmanNL)     
[@DuschdrBabbe](https://github.com/DuschdrBabbe)     
DrZzs (Justin A.)   
Dylan L.   
Effectsmeister   
Eric N.  
Eric P.  
Eric Z.   
e-town   
[@Errurion](https://github.com/Errurion)   
Fabian N.   
Felix S.   
Fil   
Gary O.   
Geert De V.  
George V.   
Graham W.  
Gunnar B.   
Håkan H.  
App.doNotProcessConnectivityEvents = true;
Heiko   
Hermann S.   
[@illuxions](https://github.com/illuxions)  
itechspar   
Jacob D.   
James W.   
Jason C.   
Jason S.   
Jens   
Jeremy D.  
Jim P.  
[@jolll-dk](https://github.com/jolll-dk)   
Jordan A.  
Jordan J.  
Joseph S.   
Josh A.  
Josh G.  
[@juanesf](https://github.com/juanesf)   
[@kayrozen](https://github.com/kayrozen)   
Kjell-Einar A.  
Laurence C.   
Leonhard A.   
Leonhard S.  
[@MatFl](https://github.com/MatFl)   
Marc H.   
Marc R.   
Marcus S.  
Mario F. S.  
Mark S.   
Mark V.   
Martin B.   
Martin H.   
Martin L.  
Michael A.   
Michael B.   
Michael E.   
Michael E.  
Michael E.   
Max H.  
Menno V.  
Nathan Y.   
Niels L.   
Nigel H.  
Pascal B.  
Pascal L.  
Pat   
Paul B.  
Paul-Christiaan D.  
Paul H.  
[@pete111](https://github.com/pete111)   
Petru F.  
Primoz   
Quindor   
Ralph U.  
Ralph W.   
Ramon H.  
Raoul T.   
Rob K.  
Rüdiger H.  
Ruperto C.  
Scott B.   
Scott F.   
Self (Discord @tube)  
Sergio M.  
Stefan S.  
Stephen   
Steve O.   
Simon   
S M Ark.   
[@synssins](https://github.com/synssins)   
Teemu H.   
Thomas E.  
Thomas S.   
Timothy M.  
Timothy L.   
Tobias B.  
[@toblum](https://github.com/toblum)  
Tyler R.  
Valère M.  
Volker B.  
Vyacheslav A.  
Xavier A. A.  
[@xxMonkeyxx](https://github.com/xxMonkeyxx)   

### Used Libraries and Dependencies
[ESP8266](https://github.com/esp8266/Arduino)/[ESP32](https://github.com/espressif/arduino-esp32) Arduino Core   
[NeoPixelBus](https://github.com/svenihoney/NeoPixelBus) by Makuna (svenihoney fork)   
[FastLED](https://github.com/FastLED/FastLED/) library   
[ESPAsyncTCP](https://github.com/me-no-dev/ESPAsyncTCP) by me-no-dev  
[ESPAsyncUDP](https://github.com/me-no-dev/ESPAsyncUDP) by me-no-dev (as of 0.9.0)  
[ESPAsyncWebServer](https://github.com/me-no-dev/ESPAsyncWebServer) by me-no-dev  
[ArduinoJSON](https://github.com/bblanchon/ArduinoJson) by bblanchon   
[async-mqtt-client](https://github.com/marvinroger/async-mqtt-client) by marvinroger   
[WS2812FX](https://github.com/kitesurfer1404/WS2812FX) by kitesurfer1404 (modified)   
[IRremoteESP8266](https://github.com/markszabo/IRremoteESP8266) by markszabo (optional)   
[Timezone](https://github.com/JChristensen/Timezone) by JChristensen   
[Blynk](https://github.com/blynkkk/blynk-library) library (compacted)   
[E1.31](https://github.com/forkineye/E131) library by forkineye (modified)   
[Espalexa](https://github.com/Aircoookie/Espalexa) by Aircoookie (modified)   
Many included FastLED effects are modified versions of [kriegsman](https://gist.github.com/kriegsman/)'s gists!

[WebServer_tng](https://github.com/bbx10/WebServer_tng) by bbx10 (ESP32, up to 0.8.3) 
[PubSubClient](https://github.com/knolleary/pubsubclient) by knolleary (modified, up to 0.8.3)  

[![](https://img.shields.io/badge/badges-by%20shields.io-blue.svg?style=flat-square)](https://shields.io)   
[iro.js](https://iro.js.org/) colorpicker by James Daniel!  
Classic UI icons by [Linearicons](https://linearicons.com) created by [Perxis](https://perxis.com)! 

If you would like to appear in this list for a contribution you made or be removed from it, feel free to contact me!